CREATE PROCEDURE PreTest_UnrestrictGrowthCheck() 
			LANGUAGE SQLSCRIPT 
			AS 
				 tempTableCount int := 0;
			BEGIN 
				SELECT count(*) into tempTableCount FROM SYS.OBJECTS WHERE OBJECT_NAME = '#tmp_PreTestLog';
				
				if  :tempTableCount > 0 then
				drop table #tmp_PreTestLog;
				
				end if;
				
				CREATE LOCAL TEMPORARY ROW TABLE #tmp_PreTestLog( Text nvarchar(500));

				INSERT INTO #tmp_PreTestLog(Text) 
				SELECT   PATH 
				FROM SYS.M_DISKS 
				WHERE TOTAL_SIZE <> -1 AND TOTAL_SIZE < 0x10000000;
				
				SELECT * FROM #tmp_PreTestLog;
				
				DROP table #tmp_PreTestLog;
			END;







